com.aispeech.dui

## Class BusClient.RPCResult

- java.lang.Object
- - com.aispeech.dui.BusClient.RPCResult

- Enclosing class:
    BusClient

      public static class BusClient.RPCResult
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `error`
    `byte[]` | `retval`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RPCResult(byte[] r)`
    `RPCResult(byte[] r, java.lang.String e)`
    `RPCResult(java.lang.String r)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getStringResult()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### retval

          public byte[] retval

    - #### error

          public java.lang.String error

  - ### Constructor Detail

    - #### RPCResult

          public RPCResult(byte[] r,
                           java.lang.String e)

    - #### RPCResult

          public RPCResult(java.lang.String r)

    - #### RPCResult

          public RPCResult(byte[] r)

  - ### Method Detail

    - #### getStringResult

          public java.lang.String getStringResult()